import { Logger as WinstonLogger } from 'winston';
import { Logger, ErrorSerializer } from './logger';
import { LoggerPurger } from './purge/purger';
export interface LoggerScopeBag {
    readonly scopes: string[];
    maxLength: number;
}
export declare class RootLogger extends Logger {
    private scopeBag;
    constructor(native: WinstonLogger, scopeBag: LoggerScopeBag, errorSerializer?: ErrorSerializer, purger?: LoggerPurger);
    wrap(method: () => any, onError?: (error: Error | string) => void): void;
    getLogger(scope: string): Logger;
}
